package trianglemaker;
import static javax.swing.JOptionPane.showMessageDialog;
/**
 *
 * @author alireza
 */
public class TMG extends javax.swing.JFrame
{
        /**
         * Creates new form TMG
         */
        public TMG()
        {
                initComponents();
        }

        /**
         * This method is called from within the constructor to initialize the
         * form. WARNING: Do NOT modify this code. The content of this method is
         * always regenerated by the Form Editor.
         */
        @SuppressWarnings("unchecked")
        // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
        private void initComponents()
        {

                btn_check = new java.awt.Button();
                lbl_res = new java.awt.Label();
                lbl_eb = new java.awt.Label();
                lbl_ea = new java.awt.Label();
                lbl_ec = new java.awt.Label();
                edge_c = new java.awt.TextField();
                edge_a = new java.awt.TextField();
                edge_b = new java.awt.TextField();

                setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
                setTitle("TM(G)");
                setBackground(new java.awt.Color(204, 204, 204));
                setResizable(false);

                btn_check.setLabel("Check");
                btn_check.addMouseListener(new java.awt.event.MouseAdapter()
                {
                        public void mouseClicked(java.awt.event.MouseEvent evt)
                        {
                                btn_checkMouseClicked(evt);
                        }
                });

                lbl_res.setText("Unknow");

                lbl_eb.setText("Size of edge b :");

                lbl_ea.setText("Size of edge a :");

                lbl_ec.setText("Size of edge c :");

                edge_c.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));

                edge_a.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));

                edge_b.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));

                javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
                getContentPane().setLayout(layout);
                layout.setHorizontalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                                .addContainerGap()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addGroup(layout.createSequentialGroup()
                                                .addComponent(btn_check, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addComponent(lbl_res, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGroup(layout.createSequentialGroup()
                                                .addComponent(lbl_ec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addComponent(edge_c, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGroup(layout.createSequentialGroup()
                                                .addComponent(lbl_ea, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addComponent(edge_a, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGroup(layout.createSequentialGroup()
                                                .addComponent(lbl_eb, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addComponent(edge_b, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addContainerGap())
                );
                layout.setVerticalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addContainerGap(36, Short.MAX_VALUE)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(lbl_ea, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(edge_a, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(lbl_eb, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(edge_b, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(lbl_ec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(edge_c, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(26, 26, 26)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(lbl_res, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(btn_check, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addContainerGap())
                );

                edge_a.getAccessibleContext().setAccessibleName("ed_a");

                pack();
        }// </editor-fold>//GEN-END:initComponents

        private void btn_checkMouseClicked(java.awt.event.MouseEvent evt)//GEN-FIRST:event_btn_checkMouseClicked
        {//GEN-HEADEREND:event_btn_checkMouseClicked
                Calc();
        }//GEN-LAST:event_btn_checkMouseClicked

        /**
         * @param args the command line arguments
         */
        public static void main(String args[])
        {
                /* Set the Nimbus look and feel */
                //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
                /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
                 */
                try
                {
                        for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels())
                        {
                                if ("Nimbus".equals(info.getName()))
                                {
                                        javax.swing.UIManager.setLookAndFeel(info.getClassName());
                                        break;
                                }
                        }
                } catch (ClassNotFoundException ex)
                {
                        java.util.logging.Logger.getLogger(TMG.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
                } catch (InstantiationException ex)
                {
                        java.util.logging.Logger.getLogger(TMG.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
                } catch (IllegalAccessException ex)
                {
                        java.util.logging.Logger.getLogger(TMG.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
                } catch (javax.swing.UnsupportedLookAndFeelException ex)
                {
                        java.util.logging.Logger.getLogger(TMG.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
                }
                //</editor-fold>

                /* Create and display the form */
                java.awt.EventQueue.invokeLater(new Runnable()
                {
                        public void run()
                        {
                                new TMG().setVisible(true);
                        }
                });
        }

        // Variables declaration - do not modify//GEN-BEGIN:variables
        private java.awt.Button btn_check;
        public static java.awt.TextField edge_a;
        public static java.awt.TextField edge_b;
        public static java.awt.TextField edge_c;
        private java.awt.Label lbl_ea;
        private java.awt.Label lbl_eb;
        private java.awt.Label lbl_ec;
        public static java.awt.Label lbl_res;
        // End of variables declaration//GEN-END:variables

                
       public static void Calc ()
       {
               float ea=0.0f;
               float eb=0.0f;
               float ec=0.0f;
               String sea = edge_a.getText();
               String seb = edge_b.getText();
               String sec = edge_c.getText();
               try
               {
                      ea=Float.parseFloat(sea);
                      eb=Float.parseFloat(seb);
                      ec=Float.parseFloat(sec);
               } 
               catch (Exception e)
               {
                       showMessageDialog(edge_a, "Oh! It looks like you enterd a wrong number 💔  \n Please try again ", "ERROR",0);
               }
               if (TriangleMaker.CanBeMade(ea, eb, ec))
                       lbl_res.setText("Yes");
               if (!TriangleMaker.CanBeMade(ea, eb, ec))
                       lbl_res.setText("No");
       }
        
}
